package service

import (
	"github.com/mhaya/game/game_cluster/internal/code"
	"github.com/mhaya/game/game_cluster/nodes/webadmin/entity"
)

type RiskControl struct {
}

func NewRiskControl() *RiskControl {
	return &RiskControl{}
}

// 同IP下，有多个指纹数据
func (s *RiskControl) MultipleFingerprintInIp(req entity.WhitelistListReq) (*entity.WhitelistListResp, *code.Result) {
	// TODO MultipleFingerprintInIp 同IP，指纹数量>10
	return nil, nil
}

// 同tg号码下，有多个提现地址
func (s *RiskControl) MultipleAddressInTg(req entity.WhitelistListReq) (*entity.WhitelistListResp, *code.Result) {
	// TODO MultipleAddressInTg 同tg号码，提现地址数量>5
	return nil, nil
}

// 同提现地址下，有多个tg号码
func (s *RiskControl) MultipleTgInAddress(req entity.WhitelistListReq) (*entity.WhitelistListResp, *code.Result) {
	// TODO MultipleTg 同提现地址，tg号码数量>5
	return nil, nil
}

// 同IP下，有多个tg号码
func (s *RiskControl) MultipleTgInIp(req entity.WhitelistListReq) (*entity.WhitelistListResp, *code.Result) {
	// TODO MultipleTgInIp 同IP，tg号码数量>10
	return nil, nil
}
